<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/keyboard_height"
    android:background="@mipmap/bg_keyboard"
    android:clickable="true">

    <ImageView
        android:id="@+id/back_btn"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="14dp"
        android:src="@mipmap/ic_back_btn"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/app_icon"
        android:layout_width="83dp"
        android:layout_height="83dp"
        android:layout_marginTop="24dp"
        android:src="@mipmap/ic_app_icon"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/back_btn" />

    <TextView
        android:id="@+id/login_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:text="@string/login_tip"
        android:textColor="@color/text_color_primary"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/app_icon" />

    <TextView
        android:id="@+id/login_btn"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="30dp"
        android:layout_marginTop="30dp"
        android:layout_marginEnd="30dp"
        android:layout_marginBottom="24dp"
        android:background="@drawable/bg_gradient"
        android:gravity="center"
        android:paddingTop="16dp"
        android:paddingBottom="16dp"
        android:text="@string/go_login"
        android:textColor="@color/text_color_white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/login_tip" />
</androidx.constraintlayout.widget.ConstraintLayout>